Package org.eclipse.birt.chart.model.attribute

# Interface Text

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `TextImpl`

public interface Text extends IChartObject
A representation of the model object 'Text'. Text is intended to encapsulate a string to be displayed on the chart.

The following features are supported:

- `Value`
- `Font`
- `Color`

See Also:
  - `AttributePackage.getText()`

## Method Summary

Modifier and Type
Method
Description
`Text`
`copyInstance()`
`ColorDefinition`
`getColor()`
Returns the value of the 'Color' containment reference.
`FontDefinition`
`getFont()`
Returns the value of the 'Font' containment reference.
`String`
`getValue()`
Returns the value of the 'Value' attribute.
`void`
`setColor(ColorDefinition value)`
Sets the value of the '`Color`' containment reference.
`void`
`setFont(FontDefinition value)`
Sets the value of the '`Font`' containment reference.
`void`
`setValue(String value)`
Sets the value of the '`Value`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getValue

String getValue()
Returns the value of the 'Value' attribute. Gets the actual Text String. Holds the actual Text String.

Returns:
  the value of the 'Value' attribute.
See Also:
  - `setValue(String)`
  - `AttributePackage.getText_Value()`

### setValue

void setValue(String value)
Sets the value of the '`Value`' attribute. Sets the actual Text String.

Parameters:
  `value` - the new value of the 'Value' attribute.
See Also:
  - `getValue()`

### getFont

FontDefinition getFont()
Returns the value of the 'Font' containment reference. Gets the Font Information to be used for this text element. Holds the Font Information to be used for this text element.

Returns:
  the value of the 'Font' containment reference.
See Also:
  - `setFont(FontDefinition)`
  - `AttributePackage.getText_Font()`

### setFont

void setFont(FontDefinition value)
Sets the value of the '`Font`' containment reference. Sets the Font Information for this text element.

Parameters:
  `value` - the new value of the 'Font' containment reference.
See Also:
  - `getFont()`

### getColor

ColorDefinition getColor()
Returns the value of the 'Color' containment reference. Gets the foreground color to be used to render the text. Defines the color to be used to render the text.

Returns:
  the value of the 'Color' containment reference.
See Also:
  - `setColor(ColorDefinition)`
  - `AttributePackage.getText_Color()`

### setColor

void setColor(ColorDefinition value)
Sets the value of the '`Color`' containment reference. Sets the foreground color to be used to render the text.

Parameters:
  `value` - the new value of the 'Color' containment reference.
See Also:
  - `getColor()`

### copyInstance

Text copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`